Oracle Linux 6202 Published by

The following updates have been released for Oracle Linux:

ELSA-2024-3999 Important: Oracle Linux 9 ghostscript security update
ELSA-2024-4002 Important: Oracle Linux 9 thunderbird security update
ELBA-2024-3983 Oracle Linux 9 kernel bug fix update
ELSA-2024-4000 Important: Oracle Linux 8 ghostscript security update
ELSA-2024-4016 Important: Oracle Linux 7 thunderbird security update (aarch64)
ELSA-2024-4016 Important: Oracle Linux 7 thunderbird security update
ELSA-2024-3501 Moderate: Oracle Linux 9 nghttp2 security update
ELSA-2024-4036 Important: Oracle Linux 8 thunderbird security update




ELSA-2024-3999 Important: Oracle Linux 9 ghostscript security update


Oracle Linux Security Advisory ELSA-2024-3999

http://linux.oracle.com/errata/ELSA-2024-3999.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
ghostscript-9.54.0-16.el9_4.x86_64.rpm
ghostscript-doc-9.54.0-16.el9_4.noarch.rpm
ghostscript-tools-dvipdf-9.54.0-16.el9_4.x86_64.rpm
ghostscript-tools-fonts-9.54.0-16.el9_4.x86_64.rpm
ghostscript-tools-printing-9.54.0-16.el9_4.x86_64.rpm
ghostscript-x11-9.54.0-16.el9_4.x86_64.rpm
libgs-9.54.0-16.el9_4.i686.rpm
libgs-9.54.0-16.el9_4.x86_64.rpm
ghostscript-9.54.0-16.el9_4.i686.rpm
ghostscript-tools-fonts-9.54.0-16.el9_4.i686.rpm
ghostscript-tools-printing-9.54.0-16.el9_4.i686.rpm
libgs-devel-9.54.0-16.el9_4.i686.rpm
libgs-devel-9.54.0-16.el9_4.x86_64.rpm

aarch64:
ghostscript-9.54.0-16.el9_4.aarch64.rpm
ghostscript-doc-9.54.0-16.el9_4.noarch.rpm
ghostscript-tools-dvipdf-9.54.0-16.el9_4.aarch64.rpm
ghostscript-tools-fonts-9.54.0-16.el9_4.aarch64.rpm
ghostscript-tools-printing-9.54.0-16.el9_4.aarch64.rpm
ghostscript-x11-9.54.0-16.el9_4.aarch64.rpm
libgs-9.54.0-16.el9_4.aarch64.rpm
libgs-devel-9.54.0-16.el9_4.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//ghostscript-9.54.0-16.el9_4.src.rpm

Related CVEs:

CVE-2024-33871

Description of changes:

[9.54.0-16]
- RHEL-39110 fix regression discovered in OPVP device

[9.54.0-15]
- RHEL-39110 CVE-2024-33871 ghostscript: OPVP device arbitrary code execution via custom Driver library



ELSA-2024-4002 Important: Oracle Linux 9 thunderbird security update


Oracle Linux Security Advisory ELSA-2024-4002

http://linux.oracle.com/errata/ELSA-2024-4002.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
thunderbird-115.12.1-1.0.1.el9_4.x86_64.rpm

aarch64:
thunderbird-115.12.1-1.0.1.el9_4.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//thunderbird-115.12.1-1.0.1.el9_4.src.rpm

Related CVEs:

CVE-2024-5688
CVE-2024-5690
CVE-2024-5691
CVE-2024-5693
CVE-2024-5696
CVE-2024-5700
CVE-2024-5702

Description of changes:

[115.12.1-1.0.1]
- Add Oracle prefs

[115.12.1]
- Add OpenELA debranding

[115.12.1-1]
- Update to 115.12.1 build1

[115.12.0-2]
- Update to 115.12.0 build2

[115.12.0-1]
- Update to 115.12.0 build1



ELBA-2024-3983 Oracle Linux 9 kernel bug fix update


Oracle Linux Bug Fix Advisory ELBA-2024-3983

http://linux.oracle.com/errata/ELBA-2024-3983.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
bpftool-7.3.0-427.22.1.el9_4.x86_64.rpm
kernel-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-abi-stablelists-5.14.0-427.22.1.el9_4.noarch.rpm
kernel-core-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-debug-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-debug-core-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-debug-devel-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-debug-devel-matched-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-debug-modules-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-debug-modules-core-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-debug-modules-extra-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-debug-uki-virt-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-devel-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-devel-matched-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-doc-5.14.0-427.22.1.el9_4.noarch.rpm
kernel-headers-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-modules-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-modules-core-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-modules-extra-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-tools-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-tools-libs-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-uki-virt-5.14.0-427.22.1.el9_4.x86_64.rpm
perf-5.14.0-427.22.1.el9_4.x86_64.rpm
python3-perf-5.14.0-427.22.1.el9_4.x86_64.rpm
rtla-5.14.0-427.22.1.el9_4.x86_64.rpm
rv-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-cross-headers-5.14.0-427.22.1.el9_4.x86_64.rpm
kernel-tools-libs-devel-5.14.0-427.22.1.el9_4.x86_64.rpm
libperf-5.14.0-427.22.1.el9_4.x86_64.rpm

aarch64:
bpftool-7.3.0-427.22.1.el9_4.aarch64.rpm
kernel-headers-5.14.0-427.22.1.el9_4.aarch64.rpm
kernel-tools-5.14.0-427.22.1.el9_4.aarch64.rpm
kernel-tools-libs-5.14.0-427.22.1.el9_4.aarch64.rpm
perf-5.14.0-427.22.1.el9_4.aarch64.rpm
python3-perf-5.14.0-427.22.1.el9_4.aarch64.rpm
kernel-cross-headers-5.14.0-427.22.1.el9_4.aarch64.rpm
kernel-tools-libs-devel-5.14.0-427.22.1.el9_4.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//kernel-5.14.0-427.22.1.el9_4.src.rpm

Description of changes:

- [5.14.0-427.22.1.el9_4.OL9]
- Disable UKI signing [Orabug: 36571828]
- Update Oracle Linux certificates (Kevin Lyons)
- Disable signing for aarch64 (Ilya Okomin)
- Oracle Linux RHCK Module Signing Key was added to the kernel trusted keys list (olkmod_signing_key.pem) [Orabug: 29539237]
- Update x509.genkey [Orabug: 24817676]
- Conflict with shim-ia32 and shim-x64